# Get a User's Items

### Get a user's items

## Returns an array of items

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/user/items/:address`

You can add additional query parameters to filter documents by any property. i.e. `?name=Majd`

#### Path Parameters

| Name                                      | Type   | Description        |
| ----------------------------------------- | ------ | ------------------ |
| address<mark style="color:red;">\*</mark> | String | The user's address |

#### Query Parameters

| Name          | Type    | Description                                                                                                                                                                                                                 |
| ------------- | ------- | --------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| perPage       | Integer | <p>The number of items to return </p><p></p><p>(default: 24)</p>                                                                                                                                                            |
| page          | Integer | <p>The offset for returned items. Calculated as (page - 1) \* perPage</p><p></p><p>(default: 1)</p>                                                                                                                         |
| sortBy        | String  | <p>The field to sort the items by (any field in the item model may be used)</p><p></p><p>(default: mintDate)</p>                                                                                                            |
| sortDir       | String  | <p>Choose to sort in ascending (asc) or descending (desc) order</p><p></p><p>(default: desc)</p>                                                                                                                            |
| includeListed | Boolean | <p>If the user's listed NFTs should be included (listed NFTs are still owned by the user, however on the blockchain they are held by a marketplace smart contract)<br><br>(default: true)</p>                               |
| slim          | Boolean | <p>Returns a more condensed version of the items. Limits the item fields to: name, properties, tokenId, collectionAddress, supply, maxSupply, image, imageUrl, imageIndex, and imageCount</p><p></p><p>(default: false)</p> |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "items": [
    {
      "collectionAddress": "0xdb0047cb1dfc44696f6e9868ef6bb40000280b05",
      "tokenId": 10,
      "name": "Altura Penguins #10 - Istanbul",
      "properties": [
        {
          "_id": "6135582d8cadffa18b81424c",
          "name": "Location",
          "value": "Istanbul, Turkey",
          "static": true
        }
      ],
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0xdb0047cb1dfc44696f6e9868ef6bb40000280b05-10_4c4fe564-c3cd-4251-b1af-2080f4601b2d.gif",
      "description": "Altura Penguins are the first set of Smart NFTs to roam the blockchain. Each Penguin is located in a different city across the globe. The background of the NFT will dynamically change to fit the time of day in the Penguin's location. There are 20 unique Penguins with a supply of 100 each.",
      "imageIndex": 2
    }
  ],
  "count": 1
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}

<details>

<summary>Example: get a user's items for a particular collection</summary>

`/api/v2/user/items/0xcaf45074fc329692995d812aeb099070c7fdee2b`<mark style="color:red;">`?collectionAddress=`</mark>`0xdb0047cb1dfc44696f6e9868ef6bb40000280b05`<mark style="color:red;">`&slim=true&page=1`</mark>

#### Response

```json
{
  "items": [
    {
      "name": "Altura Penguins #10 - Istanbul",
      "properties": [
        {
          "_id": "6135582d8cadffa18b81424c",
          "name": "Location",
          "value": "Istanbul, Turkey",
          "static": true
        }
      ],
      "tokenId": 10,
      "collectionAddress": "0xdb0047cb1dfc44696f6e9868ef6bb40000280b05",
      "supply": 100,
      "maxSupply": 100,
      "image": "https://ipfs.io/ipfs/QmSySyaASFux5ACyobHQKoDGkmSu5MLBd2opvyfyuVETt1",
      "imageUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/56-0xdb0047cb1dfc44696f6e9868ef6bb40000280b05-10_4c4fe564-c3cd-4251-b1af-2080f4601b2d.gif",
      "imageIndex": 2,
      "imageCount": 4,
      "userBalance": 1
    }
  ],
  "count": 1
}
```

</details>

{% hint style="info" %}
The user's balance for each item is returned as `userBalance.`

If `includeListed=true, userBalance` will be the sum of the user's balance and their listings of that item&#x20;
{% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-a-users-items.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
